import os
import xml.etree.ElementTree as ET

actions = []

def print_actions(f):
	tree = ET.parse(f)
	root = tree.getroot()

	for action in root.findall('action'):
		handlogic = action.find('handlogic')
		if handlogic is not None:
			#print(action.find('name').text, handlogic)
			if handlogic.text == '1':
				act_name = action.find('name').text
				if act_name not in actions:
					print(act_name)
					actions.append(act_name)

def main():
	for f in os.listdir():
		if '.tactics' in f.lower():
			try:
				print_actions(f)
			except:
				pass

if __name__ == '__main__':
	main()